CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [alternativ]

Olika kommandoradsgränssnitt användbara för felsökning av calibre. Utan alternativ startar detta kommando en inbäddad Python-tolk. Du kan också köra calibre huvudanvändargränssnittet, calibre-visaren och calibre-redigeringen i felsökningsläge.

Den innehåller också gränssnitt till olika delar av calibre som inte har dedikerade kommandoradsverktyg, såsom delmängder av typsnitt, diff-verktyg för e-böcker och så vidare.

Du kan också använda calibre-debug att köra fristående skript. Använd det så här:

calibre-debug myscript.py -- --option1 --option2 file1 file2 …

Allt efter -- förs till skriptet.

När du skickar argument till calibre-debug som har mellanslag i dem, bifoga argumenten i citattecken. Till exempel: ”/some path/with spaces”

[ALTERNATIV]

--add-simple-plugin
    Lägg till en enkel insticksmodul (det vill säga en insticksmodul som består av bara en .py fil), genom att ange sökvägen till py-filen som innehåller insticksmodulskoden.

--command, -c
    Kör Python-kod

--debug-device-driver, -d
    Felsöker enhetsidentifiering

--default-programs
    (Av)registrera calibre från Windows standardprogram. --default-programs = (register|unregister)

--diff
    Kör calibres diffverktyg. Exempelvis: calibre-debug --diff fil1 fil2

--edit-book, -t
    Starta calibre "Redigera book"-verktyget i felsökningsläge.

--exec-file, -e
    Kör Python-koden i fil.

--explode-book, -x
    Bryt isär boken i den angivna katalogen. Användning: -x file.epub output_dir Exporterar boken som en samling HTML-filer och metadata som du kan redigera med standard HTML-redigeringsverktyg. Fungerar med EPUB-, AZW3-, HTMLZ- och DOCX-filer.

--export-all-calibre-data
    Exportera all calibre-data (böcker/inställningar/insticksmoduler)

--gui, -g
    Kör gränssnittet med felsökning aktiverat. Felsökningsloggar skrivs till stdout och stderr.

--gui-debug
    Kör gränssnittet med felsökningskonsol, loggning till angiven sökväg. Bara för intern användning, använd -g alternativet för att köra gränssnittet i felsökningsläge

--help, -h
    visa denna hjälptext och avsluta

--implode-book, -i
    Implodera en tidigare exploderad bok. Användning: -i output_dir file.epub Importerar boken från filerna i output_dir som måste ha skapats av ett tidigare anrop till --explode-book. Var noga med att ange samma filtyp som användes vid exploderande.

--import-calibre-data
    Importera tidigare exporterade calibre-data

--inspect-mobi, -m
    Undersök MOBI-fil(erna) i angiv(en/na) sökväg(arna)

--paths
    Mata ut nödvändiga sökvägar för att konfigurera calibres miljö

--reinitialize-db
    Återinitiera calibre-databasen sqlite i angiven sökväg. Användbart vid återställning vid db-korruption.

--run-plugin, -r
    Kör en insticksmodul som ger ett kommandoradsgränssnitt. Till exempel: calibre-debug-r ”Lägg till böcker” -- file1 --option1 Allt efter -- kommer att skickas till insticksmodulen som argument.

--shutdown-running-calibre, -s
    Orsakar att en körande calibre-instans avslutas, om någon körs. Observera att om jobb körs, kommer de att avslutas tyst, så använd med försiktighet.

--subset-font, -f
    Deluppsättning av angivna typsnitt. Använd -- efter detta val för att skicka valet till programmet för deluppsättning av typsnitt.

--test-build
    Testa binärmoduler i bygge

--version
    visar programmets versionsnummer och avsluta

--viewer, -w
    Kör läsplattan i felsökningsläge

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal